Subject: Re: need suggestions

From: Magnus Damm <[email-masked]>
Date: Wed, 24 Nov 1999 11:26:08 +0100

> I have a ADS8xx board and I downloaded kernel source mpc8xx-2.2.13.tgz
> from ppc.kernel.org. Can you tell me how to port it to ADS8xx board and
> make a bootrom of Linux?
> I am a newbie, so please tell something in detail.

First of all: Check the revision of the board and the cpu.
If you have a 860, find a cpu with revision C or later.
If you have a ADS with rev. ENG, PILOT or A you will have some trouble.

I have had linux up and running on a ADS board.
A good starting point is to read the manual and check what differs from the FADS. 

I have bootcode that is based on fadsrom by Dan Malek.
It is kind of a mess right now, but it should support both 
the ADS and the FADS board using 860(t).
It loads a zImage or vmlinux from a ATA-FLASH or the onboard flash-simm.
It understands ext2 and dos.
No network support, though.

I can mail the source to anyone who is interested.
You will need a linux source tree and a (cross)compiler.

But I have no time for answers.

Good luck /

magnus damm

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/